flext_base::ItemCont Class Reference

`#include <flclass.h>`

## Public Member Functions

| ItemCont ()
| ~ItemCont ()
int | Min () const
int | Max () const
bool | Contained (int i) const
void | Add (Item *it, const t_symbol *tag, int inlet=0)
| Add an entry. More...
bool | Remove (Item *it, const t_symbol *tag, int inlet, bool free)
| Remove an entry. More...
Item * | FindList (const t_symbol *tag, int inlet=0)
| Find an entry list in the Item array. More...
ItemSet & | GetInlet (int inlet=0)
| Get list for an inlet. More...
int | Members () const
| Get counter for total members (for index of new item) More...

## Protected Member Functions

void | Resize (int nsz)

## Protected Attributes

int | members
int | memsize
int | size
ItemSet ** | cont

## Detailed Description

This class holds hashed item entries

Note
  not thread-safe!

## Constructor & Destructor Documentation

## ItemCont()

flext_base::ItemCont::ItemCont | ( |  | ) |

## ~ItemCont()

flext_base::ItemCont::~ItemCont | ( |  | ) |

## Member Function Documentation

## Add()

void flext_base::ItemCont::Add | ( | Item * | it,
|  | const t_symbol * | tag,
|  | int | inlet = `0`
| ) |  |

Add an entry.

## Contained()

bool flext_base::ItemCont::Contained | ( | int | i | ) | const

inline

## FindList()

flext_base::Item * flext_base::ItemCont::FindList | ( | const t_symbol * | tag,
|  | int | inlet = `0`
| ) |  |

Find an entry list in the Item array.

## GetInlet()

ItemSet& flext_base::ItemCont::GetInlet | ( | int | inlet = `0` | ) |

inline

Get list for an inlet.

## Max()

int flext_base::ItemCont::Max | ( |  | ) | const

inline

## Members()

int flext_base::ItemCont::Members | ( |  | ) | const

inline

Get counter for total members (for index of new item)

## Min()

int flext_base::ItemCont::Min | ( |  | ) | const

inline

## Remove()

bool flext_base::ItemCont::Remove | ( | Item * | it,
|  | const t_symbol * | tag,
|  | int | inlet,
|  | bool | free
| ) |  |

Remove an entry.

## Resize()

void flext_base::ItemCont::Resize | ( | int | nsz | ) |

protected

## Member Data Documentation

## cont

ItemSet** flext_base::ItemCont::cont

protected

## members

int flext_base::ItemCont::members

protected

## memsize

int flext_base::ItemCont::memsize

protected

## size

int flext_base::ItemCont::size

protected

The documentation for this class was generated from the following files:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flclass.h
- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flitem.cpp